Bug 445796 - Doesn't install anything despite prompt
Doesn't install anything despite prompt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Naveen Kumar
Fedora Extras Quality Assurance
: i18n, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 04:50 EDT by Tim Waugh
Modified: 2010-08-25 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-language-1.3.4-6.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:34:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patches bug #445796, leftout parts of bug #545499 & some enhancement req by Pravin S (5.83 KB, patch)
2010-08-06 07:38 EDT, Naveen Kumar
no flags Details | Diff

  None (edit)
Description Tim Waugh 2008-05-09 04:50:39 EDT
Description of problem:
When using system-config-language to change to "English (Great Britain)", I am
prompted to install British support.  I respond with 'Yes', and yet 'rpm -qa
--last' shows that no package has been installed.

If I then change the language to "English (USA)", and then change it to "English
(Great Britain)" again, I am again prompted to install British support.

Either it is prompting when it shouldn't prompt, or else it is not installing
something it should install.

Version-Release number of selected component (if applicable):
system-config-language-1.2.15-3.fc9

How reproducible:
100%

Steps to Reproduce:
1.Install Fedora 9.
2.Now install system-config-language.
3.Start system-config-language, change language to English (Great Britain),
observe dialog and response with Yes
4.Start system-config-language, change language to English (USA)
5.Start system-config-language, change language to English (Great Britain)

Actual results:
Prompted again.

Expected results:
Should not be prompted the second time.
Comment 1 Pravin Satpute 2008-05-09 08:18:39 EDT
Just tried the same thing on rawhide machine

>Steps to Reproduce:
>1.Install Fedora 9.
>2.Now install system-config-language.
>3.Start system-config-language, change language to English (Great Britain),
>observe dialog and response with Yes

steps: i logoff and logged in again
so it applied all the things British

>4.Start system-config-language, change language to English (USA)
>5.Start system-config-language, change language to English (Great Britain)

then it not prompt as installing anything

rpm -qa --last > shows
kde-i18n-British
kde-l10n-British
Comment 2 Tim Waugh 2008-05-09 08:38:20 EDT
I did this from a clean install of F9-RC on x86_64, both on real hardware and in
a KVM virtual machine.  Nothing gets installed.
Comment 3 Pravin Satpute 2008-05-12 01:48:25 EDT
Tim, 
can you just try to remove kde-i18n-British and kde-l10n-British package
then try to set language to English (Great Britain) and just see wheather these
file gets installed?

Comment 4 Pravin Satpute 2008-05-12 01:50:49 EDT
s/wheather/whether
Comment 5 Tim Waugh 2008-05-12 05:02:28 EDT
I start off with a default install, so those packages are not installed at any
point during my testing.
Comment 6 Bug Zapper 2008-05-14 06:53:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Pravin Satpute 2008-06-11 07:15:01 EDT
reproduced this bug on fresh system successfully
it looks like not a bug 
if we see in comps for british group

<group>
    <id>british-support</id>
    <_name>English (UK) Support</_name>
    <_description/>
    <default>false</default>
    <uservisible>false</uservisible>
    <langonly>en_GB</langonly>
    <packagelist>
      <packagereq type="conditional"
requires="kdelibs3">kde-i18n-British</packagereq>
      <packagereq type="conditional"
requires="kdelibs">kde-l10n-British</packagereq>
      <packagereq type="conditional"
requires="koffice-core">koffice-langpack-en_GB</packagereq>
    </packagelist>
  </group>

if our system has requires packages like kdelibs, kdelibs3, koffice-core then
only kde-i18n-British, kde-l18n-British and koffice-langpack-en_GB will get
installed for British support.
else there is no any mandatory package for en_GB to install other than this

Tim it will nice if you check this once :)
Comment 8 Tim Waugh 2008-06-11 07:26:32 EDT
If the user is prompted, packages should be installed.

Conversely, if there are no packages to be installed (as in this case), the user
*should not* be prompted.
Comment 9 Tony Fu 2008-09-09 23:09:58 EDT
requested by Jens Petersen (#27995)
Comment 10 Pravin Satpute 2009-02-04 04:35:39 EST
(In reply to comment #8)
> If the user is prompted, packages should be installed.
> 
> Conversely, if there are no packages to be installed (as in this case), the user
> *should not* be prompted.

sorry for late reply 
i was working on some others bug of s-c-l so looks for this too

It is prompting for 
"XX language support is not installed, do you want to install it?"
and it is installing language support at the end 
(It is not prompting for package installation)

also as per bug
looks like adding extra overhead by checking using yum where packages are going to install or not before user wish

as per suggestion s-c-l need to do all yum calculation, dependency check before actually need of it, which is big task

so IMHO what is happening is correct
Comment 11 Tim Waugh 2009-02-04 04:48:34 EST
But it isn't correct!  The prompt makes no sense at all in this case.

Couldn't system-config-language use PackageKit to request the installation of whichever language support packages are required?  That way, PackageKit can do the check to see if the package is already installed.
Comment 12 Pravin Satpute 2009-02-04 05:29:03 EST
lots of code already written for s-c-l with yum handling all these installation thing,
It will require lots of changes in that case from installation side

do PackageKit provide python API?
Comment 13 Pravin Satpute 2009-02-04 06:05:51 EST
1) It first checks wheather group is installed or not, 
2) if it is not installed prompt user for group installation
3) and then install packages in group
Comment 14 Tim Waugh 2009-02-04 06:21:12 EST
Well, it isn't working because I get prompted but no packages are installed as a result.

Here's how to install a package using PackageKit from Python:

bus = dbus.SessionBus ()
obj = bus.get_object ("org.freedesktop.PackageKit",
                      "/org/freedesktop/PackageKit")
proxy = dbus.Interface (obj, "org.freedesktop.PackageKit")
proxy.InstallPackageName (...)

(See installpackage.py from system-config-printer for a real example, although that has compatibility code for an older interface as well.)
Comment 15 Jens Petersen 2009-03-30 03:58:03 EDT
Would using packagekit help with fixing the dialog?
Comment 16 Tim Waugh 2009-03-30 07:46:17 EDT
Yes, see comment #11.
Comment 17 Pravin Satpute 2009-03-31 04:33:20 EDT
We can fix this without adding PackageKit support also, 
Just we need to check how many packages are group going to install, when selecting a particular group

if packages are more that 0 then ask user whether he want to install it or not.

presently it is doing as per comment #13
Comment 18 Bug Zapper 2009-06-09 20:42:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Jens Petersen 2009-06-23 03:35:05 EDT
(In reply to comment #17)
> presently it is doing as per comment #13  

Little unclear - so this is already fixed?
Comment 20 Tim Waugh 2009-06-23 07:18:41 EDT
(In reply to comment #19)
> Little unclear - so this is already fixed?  

No, it is not fixed.

system-config-language-1.3.2-5.fc11

Same symptom as originally reported.
Comment 21 Jens Petersen 2009-06-23 23:57:15 EDT
Thanks - I just checked with F11 too and still see it yes.
Comment 22 Bug Zapper 2009-11-16 03:05:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Naveen Kumar 2010-08-03 05:26:42 EDT
Does the problem still persist in f-13? Because I guess it is already fixed as a side effect of patching for other similar bugs. Also, I could not reproduce this for the current build. The latest build can be found at: https://admin.fedoraproject.org/updates/system-config-language-1.3.4-5.fc13.
Comment 24 Tim Waugh 2010-08-03 08:03:46 EDT
Yes, the problem still persists with that n-v-r.
Comment 25 Naveen Kumar 2010-08-04 06:17:42 EDT
yep, I could reproduce the bug, thanks to Pravin Satpute. Now I can proceed to fix it...
Comment 26 Naveen Kumar 2010-08-06 07:38:59 EDT
Created attachment 437117 [details]
patches bug #445796, leftout parts of bug #545499 & some enhancement req by Pravin S
Comment 27 Naveen Kumar 2010-08-09 06:51:03 EDT
Koji Build Available for devel branch: http://koji.fedoraproject.org/koji/taskinfo?taskID=2389000

Please test it.
Comment 28 Fedora Update System 2010-08-09 07:24:18 EDT
system-config-language-1.3.4-6.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/system-config-language-1.3.4-6.fc14
Comment 29 Fedora Update System 2010-08-09 21:29:45 EDT
system-config-language-1.3.4-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-language'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-language-1.3.4-6.fc14
Comment 30 Fedora Update System 2010-08-23 21:34:19 EDT
system-config-language-1.3.4-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Tim Waugh 2010-08-25 11:17:13 EDT
No longer prompts (and also doesn't install any packages, as expected).  Looks good here.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.